package com.prolog.cs.biz.outbound.model;

import com.prolog.framework.core.annotation.Column;
import com.prolog.framework.core.annotation.Ignore;
import com.prolog.framework.core.annotation.Table;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;
import java.util.List;

/**
 * @Description  
 * @Date 2021-11-17 
 */
@ApiModel
@Table(value="outcoming_record_h")
public class OutcomingRecordH implements Serializable {
	private static final long serialVersionUID =  504687169130426277L;

	@ApiModelProperty(value = "ID标识")
	@Column(value = "billid")
	private String billid;

	@ApiModelProperty(value = "入库单号") 
	@Column(value = "billno")
	private String billno;

	@ApiModelProperty(value = "入库单类型") 
	@Column(value = "billtype")
	private String billtype;

	@ApiModelProperty(value = "仓库ID") 
	@Column(value = "branchid")
	private String branchid;

	@ApiModelProperty(value = "仓库编号") 
	@Column(value = "branchcode")
	private String branchcode;

	@ApiModelProperty(value = "仓库名称") 
	@Column(value = "branchname")
	private String branchname;

	@ApiModelProperty(value = "货主ID") 
	@Column(value = "consignorid")
	private String consignorid;

	@ApiModelProperty(value = "货主编号") 
	@Column(value = "consignorcode")
	private String consignorcode;

	@ApiModelProperty(value = "货主名称") 
	@Column(value = "consignorname")
	private String consignorname;

	@ApiModelProperty(value = "货主单据号") 
	@Column(value = "consignor_bill_no")
	private String consignorBillNo;

	@ApiModelProperty(value = "关联业务单类型") 
	@Column(value = "refbilltype")
	private String refbilltype;

	@ApiModelProperty(value = "关联业务单ID") 
	@Column(value = "refbillid")
	private String refbillid;

	@ApiModelProperty(value = "关联业务单编号") 
	@Column(value = "refbillno")
	private String refbillno;

	@ApiModelProperty(value = "业务员ID") 
	@Column(value = "salesperson_id")
	private String salespersonId;

	@ApiModelProperty(value = "业务员名称") 
	@Column(value = "salesperson_name")
	private String salespersonName;

	@ApiModelProperty(value = "业务部门编号") 
	@Column(value = "purorg_id")
	private String purorgId;

	@ApiModelProperty(value = "业务部门名称") 
	@Column(value = "purorg_name")
	private String purorgName;

	@ApiModelProperty(value = "出库仓库库区") 
	@Column(value = "brancharea")
	private String brancharea;

	@ApiModelProperty(value = "出库仓库详细地址") 
	@Column(value = "branch_address")
	private String branchAddress;

	@ApiModelProperty(value = "业务单号") 
	@Column(value = "business_no")
	private String businessNo;

	@ApiModelProperty(value = "收货单位类型") 
	@Column(value = "shipper_type")
	private String shipperType;

	@ApiModelProperty(value = "收货单位编号") 
	@Column(value = "shippercode")
	private String shippercode;

	@ApiModelProperty(value = "收货单位名称") 
	@Column(value = "shippername")
	private String shippername;

	@ApiModelProperty(value = "订单紧急等级") 
	@Column(value = "priority_level")
	private String priorityLevel;

	@ApiModelProperty(value = "到货方式") 
	@Column(value = "arrival_mode")
	private String arrivalMode;

	@ApiModelProperty(value = "运输路线ID") 
	@Column(value = "ship_line_id")
	private String shilineId;

	@ApiModelProperty(value = "物流商ID") 
	@Column(value = "carrier_id")
	private String carrierId;

	@ApiModelProperty(value = "物流商名称") 
	@Column(value = "carrier_name")
	private String carrierName;

	@ApiModelProperty(value = "状态") 
	@Column(value = "status")
	private String status;

	@ApiModelProperty(value = "出库时间") 
	@Column(value = "bill_out_time")
	private Date billOutTime;

	@ApiModelProperty(value = "审核时间") 
	@Column(value = "confirmtime")
	private Date confirmtime;

	@ApiModelProperty(value = "操作员") 
	@Column(value = "operator")
	private String operator;

	@ApiModelProperty(value = "审核员") 
	@Column(value = "confirmer")
	private String confirmer;

	@ApiModelProperty(value = "总件数") 
	@Column(value = "tot_pcs",jdbcType="DECIMAL")
	private BigDecimal totPcs;

	@ApiModelProperty(value = "总数量") 
	@Column(value = "tot_qty",jdbcType="DECIMAL")
	private BigDecimal totQty;

	@ApiModelProperty(value = "总拼箱数") 
	@Column(value = "tot_box_num",jdbcType="DECIMAL")
	private BigDecimal totBoxNum;

	@ApiModelProperty(value = "总重量") 
	@Column(value = "tot_weight",jdbcType="DECIMAL")
	private BigDecimal totWeight;

	@ApiModelProperty(value = "总体积") 
	@Column(value = "tot_volume",jdbcType="DECIMAL")
	private BigDecimal totVolume;

	@ApiModelProperty(value = "外复核员") 
	@Column(value = "externalreviewer")
	private String externalreviewer;

	@ApiModelProperty(value = "复核日期") 
	@Column(value = "checkdate")
	private Date checkdate;

	@ApiModelProperty(value = "调度时间") 
	@Column(value = "wmsschedtime")
	private Date wmsschedtime;

	@ApiModelProperty(value = "备注") 
	@Column(value = "remark")
	private String remark;

	@ApiModelProperty(value = "扩展字段1") 
	@Column(value = "attr_str1")
	private String attrStr1;

	@ApiModelProperty(value = "扩展字段2") 
	@Column(value = "attr_str2")
	private String attrStr2;

	@ApiModelProperty(value = "扩展字段3") 
	@Column(value = "attr_str3")
	private String attrStr3;

	@ApiModelProperty(value = "扩展字段4") 
	@Column(value = "attr_str4")
	private String attrStr4;

	@ApiModelProperty(value = "扩展字段5") 
	@Column(value = "attr_str5")
	private String attrStr5;

	@ApiModelProperty(value = "扩展字段6") 
	@Column(value = "attr_str6")
	private String attrStr6;

	@ApiModelProperty(value = "扩展字段7") 
	@Column(value = "attr_str7")
	private String attrStr7;

	@ApiModelProperty(value = "扩展字段8") 
	@Column(value = "attr_str8")
	private String attrStr8;

	@ApiModelProperty(value = "扩展字段9") 
	@Column(value = "attr_str9")
	private String attrStr9;

	@ApiModelProperty(value = "扩展字段10") 
	@Column(value = "attr_str10")
	private String attrStr10;

	@ApiModelProperty(value = "创建人") 
	@Column(value = "createby")
	private String createby;

	@ApiModelProperty(value = "创建时间") 
	@Column(value = "createdate")
	private Date createdate;

	@ApiModelProperty(value = "修改人") 
	@Column(value = "lastmodifyby")
	private String lastmodifyby;

	@ApiModelProperty(value = "修改时间") 
	@Column(value = "lastmodifydate")
	private Date lastmodifydate;

	@ApiModelProperty(value = "企业ID") 
	@Column(value = "p_enterpriseid")
	private String enterpriseid;

	@ApiModelProperty(value = "企业名称") 
	@Column(value = "p_enterprisename")
	private String enterprisename;

	@ApiModelProperty(value = "暂存区1")
	@Column(value = "stage_code_min")
	private String stageCodeMin;

	@ApiModelProperty(value = "暂存区2")
	@Column(value = "stage_code_max")
	private String stageCodeMax;

	@Ignore
	private String barCodeId;

	@ApiModelProperty(value = "打印次数")
	@Column(value = "outbound_print_count")
	private Integer outboundPrintCount;

	@Ignore
	private List<OutcomingRecordD> outcomingRecordDList;

	public List<OutcomingRecordD> getOutcomingRecordDList() {
		return outcomingRecordDList;
	}

	public void setOutcomingRecordDList(List<OutcomingRecordD> outcomingRecordDList) {
		this.outcomingRecordDList = outcomingRecordDList;
	}

	public Integer getOutboundPrintCount() {
		return outboundPrintCount;
	}

	public String getBarCodeId() {
		return barCodeId;
	}

	public void setBarCodeId(String barCodeId) {
		this.barCodeId = barCodeId;
	}

	public void setOutboundPrintCount(Integer outboundPrintCount) {
		this.outboundPrintCount = outboundPrintCount;
	}

	public String getStageCodeMin() {
		return stageCodeMin;
	}

	public void setStageCodeMin(String stageCodeMin) {
		this.stageCodeMin = stageCodeMin;
	}

	public String getStageCodeMax() {
		return stageCodeMax;
	}

	public void setStageCodeMax(String stageCodeMax) {
		this.stageCodeMax = stageCodeMax;
	}

	public String getBillid() {
		return this.billid;
	}

	public void setBillid(String billid) {
		this.billid = billid;
	}

	public String getBillno() {
		return this.billno;
	}

	public void setBillno(String billno) {
		this.billno = billno;
	}

	public String getBilltype() {
		return this.billtype;
	}

	public void setBilltype(String billtype) {
		this.billtype = billtype;
	}

	public String getBranchid() {
		return this.branchid;
	}

	public void setBranchid(String branchid) {
		this.branchid = branchid;
	}

	public String getBranchcode() {
		return this.branchcode;
	}

	public void setBranchcode(String branchcode) {
		this.branchcode = branchcode;
	}

	public String getBranchname() {
		return this.branchname;
	}

	public void setBranchname(String branchname) {
		this.branchname = branchname;
	}

	public String getConsignorid() {
		return this.consignorid;
	}

	public void setConsignorid(String consignorid) {
		this.consignorid = consignorid;
	}

	public String getConsignorcode() {
		return this.consignorcode;
	}

	public void setConsignorcode(String consignorcode) {
		this.consignorcode = consignorcode;
	}

	public String getConsignorname() {
		return this.consignorname;
	}

	public void setConsignorname(String consignorname) {
		this.consignorname = consignorname;
	}

	public String getConsignorBillNo() {
		return this.consignorBillNo;
	}

	public void setConsignorBillNo(String consignorBillNo) {
		this.consignorBillNo = consignorBillNo;
	}

	public String getRefbilltype() {
		return this.refbilltype;
	}

	public void setRefbilltype(String refbilltype) {
		this.refbilltype = refbilltype;
	}

	public String getRefbillid() {
		return this.refbillid;
	}

	public void setRefbillid(String refbillid) {
		this.refbillid = refbillid;
	}

	public String getRefbillno() {
		return this.refbillno;
	}

	public void setRefbillno(String refbillno) {
		this.refbillno = refbillno;
	}

	public String getSalespersonId() {
		return this.salespersonId;
	}

	public void setSalespersonId(String salespersonId) {
		this.salespersonId = salespersonId;
	}

	public String getSalespersonName() {
		return this.salespersonName;
	}

	public void setSalespersonName(String salespersonName) {
		this.salespersonName = salespersonName;
	}

	public String getPurorgId() {
		return this.purorgId;
	}

	public void setPurorgId(String purorgId) {
		this.purorgId = purorgId;
	}

	public String getPurorgName() {
		return this.purorgName;
	}

	public void setPurorgName(String purorgName) {
		this.purorgName = purorgName;
	}

	public String getBrancharea() {
		return this.brancharea;
	}

	public void setBrancharea(String brancharea) {
		this.brancharea = brancharea;
	}

	public String getBranchAddress() {
		return this.branchAddress;
	}

	public void setBranchAddress(String branchAddress) {
		this.branchAddress = branchAddress;
	}

	public String getBusinessNo() {
		return this.businessNo;
	}

	public void setBusinessNo(String businessNo) {
		this.businessNo = businessNo;
	}

	public String getShipperType() {
		return this.shipperType;
	}

	public void setShipperType(String shipperType) {
		this.shipperType = shipperType;
	}

	public String getShippercode() {
		return this.shippercode;
	}

	public void setShippercode(String shippercode) {
		this.shippercode = shippercode;
	}

	public String getShippername() {
		return this.shippername;
	}

	public void setShippername(String shippername) {
		this.shippername = shippername;
	}

	public String getPriorityLevel() {
		return this.priorityLevel;
	}

	public void setPriorityLevel(String priorityLevel) {
		this.priorityLevel = priorityLevel;
	}

	public String getArrivalMode() {
		return this.arrivalMode;
	}

	public void setArrivalMode(String arrivalMode) {
		this.arrivalMode = arrivalMode;
	}

	public String getShilineId() {
		return this.shilineId;
	}

	public void setShilineId(String shilineId) {
		this.shilineId = shilineId;
	}

	public String getCarrierId() {
		return this.carrierId;
	}

	public void setCarrierId(String carrierId) {
		this.carrierId = carrierId;
	}

	public String getCarrierName() {
		return this.carrierName;
	}

	public void setCarrierName(String carrierName) {
		this.carrierName = carrierName;
	}

	public String getStatus() {
		return this.status;
	}

	public void setStatus(String status) {
		this.status = status;
	}

	public Date getBillOutTime() {
		return this.billOutTime;
	}

	public void setBillOutTime(Date billOutTime) {
		this.billOutTime = billOutTime;
	}

	public Date getConfirmtime() {
		return this.confirmtime;
	}

	public void setConfirmtime(Date confirmtime) {
		this.confirmtime = confirmtime;
	}

	public String getOperator() {
		return this.operator;
	}

	public void setOperator(String operator) {
		this.operator = operator;
	}

	public String getConfirmer() {
		return this.confirmer;
	}

	public void setConfirmer(String confirmer) {
		this.confirmer = confirmer;
	}

	public BigDecimal getTotPcs() {
		return this.totPcs;
	}

	public void setTotPcs(BigDecimal totPcs) {
		this.totPcs = totPcs;
	}

	public BigDecimal getTotQty() {
		return this.totQty;
	}

	public void setTotQty(BigDecimal totQty) {
		this.totQty = totQty;
	}

	public BigDecimal getTotBoxNum() {
		return this.totBoxNum;
	}

	public void setTotBoxNum(BigDecimal totBoxNum) {
		this.totBoxNum = totBoxNum;
	}

	public BigDecimal getTotWeight() {
		return this.totWeight;
	}

	public void setTotWeight(BigDecimal totWeight) {
		this.totWeight = totWeight;
	}

	public BigDecimal getTotVolume() {
		return this.totVolume;
	}

	public void setTotVolume(BigDecimal totVolume) {
		this.totVolume = totVolume;
	}

	public String getExternalreviewer() {
		return this.externalreviewer;
	}

	public void setExternalreviewer(String externalreviewer) {
		this.externalreviewer = externalreviewer;
	}

	public Date getCheckdate() {
		return this.checkdate;
	}

	public void setCheckdate(Date checkdate) {
		this.checkdate = checkdate;
	}

	public Date getWmsschedtime() {
		return this.wmsschedtime;
	}

	public void setWmsschedtime(Date wmsschedtime) {
		this.wmsschedtime = wmsschedtime;
	}

	public String getRemark() {
		return this.remark;
	}

	public void setRemark(String remark) {
		this.remark = remark;
	}

	public String getAttrStr1() {
		return this.attrStr1;
	}

	public void setAttrStr1(String attrStr1) {
		this.attrStr1 = attrStr1;
	}

	public String getAttrStr2() {
		return this.attrStr2;
	}

	public void setAttrStr2(String attrStr2) {
		this.attrStr2 = attrStr2;
	}

	public String getAttrStr3() {
		return this.attrStr3;
	}

	public void setAttrStr3(String attrStr3) {
		this.attrStr3 = attrStr3;
	}

	public String getAttrStr4() {
		return this.attrStr4;
	}

	public void setAttrStr4(String attrStr4) {
		this.attrStr4 = attrStr4;
	}

	public String getAttrStr5() {
		return this.attrStr5;
	}

	public void setAttrStr5(String attrStr5) {
		this.attrStr5 = attrStr5;
	}

	public String getAttrStr6() {
		return this.attrStr6;
	}

	public void setAttrStr6(String attrStr6) {
		this.attrStr6 = attrStr6;
	}

	public String getAttrStr7() {
		return this.attrStr7;
	}

	public void setAttrStr7(String attrStr7) {
		this.attrStr7 = attrStr7;
	}

	public String getAttrStr8() {
		return this.attrStr8;
	}

	public void setAttrStr8(String attrStr8) {
		this.attrStr8 = attrStr8;
	}

	public String getAttrStr9() {
		return this.attrStr9;
	}

	public void setAttrStr9(String attrStr9) {
		this.attrStr9 = attrStr9;
	}

	public String getAttrStr10() {
		return this.attrStr10;
	}

	public void setAttrStr10(String attrStr10) {
		this.attrStr10 = attrStr10;
	}

	public String getCreateby() {
		return this.createby;
	}

	public void setCreateby(String createby) {
		this.createby = createby;
	}

	public Date getCreatedate() {
		return this.createdate;
	}

	public void setCreatedate(Date createdate) {
		this.createdate = createdate;
	}

	public String getLastmodifyby() {
		return this.lastmodifyby;
	}

	public void setLastmodifyby(String lastmodifyby) {
		this.lastmodifyby = lastmodifyby;
	}

	public Date getLastmodifydate() {
		return this.lastmodifydate;
	}

	public void setLastmodifydate(Date lastmodifydate) {
		this.lastmodifydate = lastmodifydate;
	}

	public String getEnterpriseid() {
		return this.enterpriseid;
	}

	public void setEnterpriseid(String enterpriseid) {
		this.enterpriseid = enterpriseid;
	}

	public String getEnterprisename() {
		return this.enterprisename;
	}

	public void setEnterprisename(String enterprisename) {
		this.enterprisename = enterprisename;
	}

}
